<html>
<head>
<title>HW</title>
<style>
    #mytable,th,tr,td{

        border: 5px solid black;

    }    
</style>
<script src="https://ajax.googleapis.com/ajax/libs/jquery/3.3.1/jquery.min.js">
</script>
</head>
<body>
    <table id="myTable"></table>
</body>
<script >    
    const peopleSalary = [{"id":"1001","firstname":"Luke","lastname":"SkyWalker","company":"Walk Disney","salary":"40000"},{"id":"1002","firstname":"Tony","lastname":"Stark","company":"Marvel","salary":"1000000"},{"id":"1003","firstname":"Somchai","lastname":"Jaidee","company":"Love2work","salary":"20000"},{"id":"1004","firstname":"Monkey D","lastname":"Luffee","company":"One Price","salary":"9000000"}];
    let key,val,sub_key,sub_val;

    $('#myTable').append($('<tr>')); 
    for(key in peopleSalary[0]) /* วนหา Key แต่ละอันโดยยึดจากคีย์แรกอันเดียว*/
    {
        console.log(key);
        $('#myTable').append($('<th>'+key+'</th>')); 
    }
    $('#myTable').append($('</tr>')); 

    for(key in peopleSalary) /*วนหาค่าของแต่ละ Key*/
    {
        val = peopleSalary[key];
        $('#myTable').append($('<tr>'));

        for(sub_key in val)
        {
            sub_val = val[sub_key];
            $('#myTable').append($('<td>'+sub_val+'</td>'));
        }
    }
    $('#myTable').append($('</tr>')); /* เขียน Header ได้แล้ว */

</script>
</html>

